<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_New_Job_On_Trip StructType
 * @subpackage Structs
 */
class Insert_New_Job_On_Trip extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The PlanningInsert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Insert_new_job_on_trip_1
     */
    public $PlanningInsert;
    /**
     * Constructor method for Insert_New_Job_On_Trip
     * @uses Insert_New_Job_On_Trip::setLogin()
     * @uses Insert_New_Job_On_Trip::setPlanningInsert()
     * @param \StructType\Login $login
     * @param \StructType\Insert_new_job_on_trip_1 $planningInsert
     */
    public function __construct(\StructType\Login $login = null, \StructType\Insert_new_job_on_trip_1 $planningInsert = null)
    {
        $this
            ->setLogin($login)
            ->setPlanningInsert($planningInsert);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_New_Job_On_Trip
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get PlanningInsert value
     * @return \StructType\Insert_new_job_on_trip_1|null
     */
    public function getPlanningInsert()
    {
        return $this->PlanningInsert;
    }
    /**
     * Set PlanningInsert value
     * @param \StructType\Insert_new_job_on_trip_1 $planningInsert
     * @return \StructType\Insert_New_Job_On_Trip
     */
    public function setPlanningInsert(\StructType\Insert_new_job_on_trip_1 $planningInsert = null)
    {
        $this->PlanningInsert = $planningInsert;
        return $this;
    }
}
